## su-18-kernel 2.6.16-200625osso2

=== Makefile ===

DEBIAN_DIR := debian

KSRC := ../linux-sp

KSRCVER := $(shell dpkg-parsechangelog -l$(KSRC)/$(DEBIAN_DIR)/changelog  | awk '/^Version/{print $$2}')


all: deb


deb:
	sed -i 's/^Build-Depends-Indep: \(.*\), kernel-source-2.6.16 (=[^)]*)/Build-Depends-Indep: \1, kernel-source-2.6.16 (=$(KSRCVER))/' $(DEBIAN_DIR)/control
	dpkg-buildpackage -S -rfakeroot

clean:
	sed -i 's/^Build-Depends: \(.*\), kernel-source-2.6.16 (=[^)]*)/Build-Depends: \1, kernel-source-2.6.16 (=$${KSRC_VER})/' $(DEBIAN_DIR)/control

## su-18-kernel 2.6.12.3-200550osso1

=== debian/changelog ===
su-18-kernel (2.6.12.3-200550osso1) unstable; urgency=low

  * week200550 release (see full list of changes in kernel-source package)

 -- Ed Bartosh <eduard.bartosh@nokia.com>  Tue, 13 Dec 2005 15:06:05 +0200

su-18-kernel (2.6.12.3-200547osso1) unstable; urgency=low

  * week200547 release (see full list of changes in kernel-source package) 

 -- Ed Bartosh <eduard.bartosh@nokia.com>  Thu, 24 Nov 2005 14:26:55 +0200

su-18-kernel (2.6.12.3-200546osso1) unstable; urgency=low

  * week200546 release (see full list of changes in kernel-source package)

 -- Ed Bartosh <eduard.bartosh@nokia.com>  Sun, 20 Nov 2005 17:21:48 +0200

su-18-kernel (2.6.12.3-200545osso4) unstable; urgency=low

  * get rid of crosscompilation 

 -- Ed Bartosh <eduard.bartosh@nokia.com>  Wed, 16 Nov 2005 17:11:51 +0200

su-18-kernel (2.6.12.3-200545osso3) unstable; urgency=low

  * build-depends on new kernel-sources now 

 -- Ed Bartosh <eduard.bartosh@nokia.com>  Wed, 16 Nov 2005 16:06:55 +0200

su-18-kernel (2.6.12.3-200545osso2) unstable; urgency=low

  * XBCS-Scratchbox-Architecture: uarm added 
  * HOSTCC exported before build

 -- Ed Bartosh <eduard.bartosh@nokia.com>  Wed, 16 Nov 2005 11:08:12 +0200

su-18-kernel (2.6.12.3-200545osso1) unstable; urgency=low

  * w200545 release (see changes in kesnel-source package)

 -- Ed Bartosh <eduard.bartosh@nokia.com>  Fri, 11 Nov 2005 17:03:25 +0200

su-18-kernel (2.6.12.3-200544osso2) unstable; urgency=low

  * Cleanup: unneeded files removed

 -- Ed Bartosh <eduard.bartosh@nokia.com>  Fri,  4 Nov 2005 10:07:34 +0200

su-18-kernel (2.6.12.3-200544osso1) unstable; urgency=low

  * w200544 release (see changes in kesnel-source package)

 -- Ed Bartosh <eduard.bartosh@nokia.com>  Mon, 31 Oct 2005 10:34:44 +0200

su-18-kernel (2.6.12.3-200543osso2) unstable; urgency=low

  * w200543 release (5th build) 

 -- Ed Bartosh <eduard.bartosh@nokia.com>  Tue, 25 Oct 2005 13:40:49 +0300

su-18-kernel (2.6.12.3-200543osso1) unstable; urgency=low

  * w200543 release

 -- Ed Bartosh <eduard.bartosh@nokia.com>  Thu, 20 Oct 2005 12:30:33 +0300

su-18-kernel (2.6.12.3-200542osso1) unstable; urgency=low

  * w200542 release 

 -- Ed Bartosh <eduard.bartosh@nokia.com>  Sun, 16 Oct 2005 12:21:51 +0300

su-18-kernel (2.6.12.3-200541osso1) unstable; urgency=low

  * w200541 release 

 -- Ed Bartosh <eduard.bartosh@nokia.com>  Mon, 10 Oct 2005 11:52:27 +0300

su-18-kernel (2.6.12.3-200540osso1) unstable; urgency=low

  * w200540 release

 -- Ed Bartosh <eduard.bartosh@nokia.com>  Mon,  3 Oct 2005 12:53:14 +0300

su-18-kernel (2.6.12.3-200539osso1) unstable; urgency=low

  * w200539 release 

 -- Ed Bartosh <eduard.bartosh@nokia.com>  Thu, 22 Sep 2005 18:19:33 +0300

su-18-kernel (2.6.12.3-200538osso1) unstable; urgency=low

  * w200538 release 

 -- Ed Bartosh <eduard.bartosh@nokia.com>  Sun, 18 Sep 2005 03:10:57 +0300

su-18-kernel (2.6.12.3-200536osso1) unstable; urgency=low

  * w200536 release

 -- Ed Bartosh <eduard.bartosh@nokia.com>  Thu,  8 Sep 2005 15:29:34 +0300

su-18-kernel (2.6.12.3-200535osso4) unstable; urgency=low

  * bluetooth fix from Ville 

 -- Ed Bartosh <eduard.bartosh@nokia.com>  Fri,  2 Sep 2005 02:55:55 +0300

su-18-kernel (2.6.12.3-200535osso3) unstable; urgency=low

  * one more mmc bugfix applied 

 -- Ed Bartosh <eduard.bartosh@nokia.com>  Wed, 31 Aug 2005 19:56:13 +0300

su-18-kernel (2.6.12.3-200535osso2) unstable; urgency=low

  * mmc bugfixes applied 

 -- Ed Bartosh <eduard.bartosh@nokia.com>  Tue, 30 Aug 2005 19:31:40 +0300

su-18-kernel (2.6.12.3-200535osso1) unstable; urgency=low

  * w200535 release

 -- Ed Bartosh <eduard.bartosh@nokia.com>  Sun, 28 Aug 2005 15:44:39 +0300

su-18-kernel (2.6.12-rc2-200533osso1) unstable; urgency=low

  * w200533 release

 -- Ed Bartosh <eduard.bartosh@nokia.com>  Sun, 14 Aug 2005 17:13:36 +0300

su-18-kernel (2.6.12-rc2-200532osso1) unstable; urgency=low

  * w200532 release 

 -- Alexey Kotovich <aliaksei.katovich@nokia.com>  Mon,  8 Aug 2005 01:59:16 +0300

su-18-kernel (2.6.12-rc2-200531osso1) unstable; urgency=low

  * w200531 release

 -- Alexey Kotovich <aliaksei.katovich@nokia.com>  Mon,  1 Aug 2005 15:27:27 +0300

su-18-kernel (2.6.12-rc2-200529osso1) unstable; urgency=low

  * w200529 release

 -- Alexey Kotovich <aliaksei.katovich@nokia.com>  Sun, 17 Jul 2005 11:50:02 +0300

su-18-kernel (2.6.12-rc2-200528osso1) unstable; urgency=low

  * w200528 release

 -- Ed Bartosh <eduard.bartosh@nokia.com>  Sun, 10 Jul 2005 20:52:40 +0300

su-18-kernel (2.6.12-rc2-200527osso1) unstable; urgency=low

  * w200527 release

 -- Ed Bartosh <eduard.bartosh@nokia.com>  Wed,  6 Jul 2005 02:33:23 +0300

su-18-kernel (2.6.12-rc2-200526osso1) unstable; urgency=low

  * w200526 release

 -- Ed Bartosh <eduard.bartosh@nokia.com>  Tue, 28 Jun 2005 16:10:25 +0300

su-18-kernel (2.6.12-rc2-200525osso1) unstable; urgency=low

  * w200525 release

 -- Ed Bartosh <eduard.bartosh@nokia.com>  Sat, 25 Jun 2005 13:10:03 +0300

su-18-kernel (2.6.12-rc2-200524osso1) unstable; urgency=low

  * w200524 release

 -- Ed Bartosh <eduard.bartosh@nokia.com>  Sun, 12 Jun 2005 23:13:34 +0300

su-18-kernel (2.6.12-rc2-200523osso1) unstable; urgency=low

  * w200523 release 

 -- Ed Bartosh <eduard.bartosh@nokia.com>  Mon,  6 Jun 2005 22:51:35 +0300

su-18-kernel-200521 (2.6.12-rc2-osso1) unstable; urgency=low

  * w200521 release 

 -- Ed Bartosh <eduard.bartosh@nokia.com>  Sun, 22 May 2005 22:39:24 +0300

su-18-kernel-200520 (2.6.12-rc2-osso1) unstable; urgency=low

  * w200520 release

 -- Ed Bartosh <eduard.bartosh@nokia.com>  Sun, 15 May 2005 22:55:49 +0300

sputnik-kernel-200517 (2.6.12-rc2-osso12) unstable; urgency=low

  * w200517 release

 -- Ed Bartosh <eduard.bartosh@nokia.com>  Fri, 29 Apr 2005 11:59:28 +0300

sputnik-kernel-200516 (2.6.12-rc2-osso11) unstable; urgency=low

  * w200516 release 

 -- Ed Bartosh <eduard.bartosh@nokia.com>  Mon, 18 Apr 2005 11:23:48 +0300

sputnik-kernel-200515 (2.6.12-rc2-osso10) unstable; urgency=low



=== debian/control ===
Source: su-18-kernel
Section: utils
Priority: optional
Maintainer:  Ed Bartosh <eduard.bartosh@nokia.com>
Build-Depends: debhelper, kernel-source-2.6.12.3 (=2.6.12.3-osso22)
XBCS-Scratchbox-Architecture: uarm
Standards-Version: 3.5.9.0

Package: su-18-kernel
Architecture: all
Provides: su-18-kernel
Description: Flashable Linux kernel for SU-18 hardware
 This package provides a flashable kernel image for Nokia 770.

Package: su-18-kernel-headers
Architecture: all
Description: Linux kernel headers
 This package provides kernel modules for Nokia 770.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.
# Copyright (C) 2004, 2005, Nokia Corporation

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

SOURCE_VERSION := $(shell sed -n 's/^Build-Depends: .*kernel-source-\([^ ]*\).*$$/\1/; t e; b; :e; p; q' debian/control)
WEEK := $(shell date +%Y%W)

configure: 

# Nothing to configure in this package.

build: build-stamp

build-stamp:
	dh_testdir
	
	# Unpack kernel sources
	tar jxf /usr/src/kernel-source-$(SOURCE_VERSION).tar.bz2
	
	echo "compile su-18 kernel"
	cd $(CURDIR)/kernel-source-$(SOURCE_VERSION)/ && \
	make HOSTCC=host-gcc n770_defconfig && \
	make HOSTCC=host-gcc zImage
	
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	rm -rf kernel-source-$(SOURCE_VERSION)
	rm -f kernel-headers*.deb
	rm -rf $(CURDIR)/debian/su-18-kernel-headers
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs
	
	install $(CURDIR)/kernel-source-$(SOURCE_VERSION)/arch/arm/boot/zImage \
                $(CURDIR)/debian/tmp/usr/share/osso/kernels/zImage-su-18-$(WEEK) && \
	cd $(CURDIR)/kernel-source-$(SOURCE_VERSION); \
	install -p -o root -g root -m 644 .config  $(CURDIR)/debian/su-18-kernel-headers/usr/src/su-18-kernel-headers/ && \
	install -p -o root -g root -m 644 Makefile $(CURDIR)/debian/su-18-kernel-headers/usr/src/su-18-kernel-headers/ && \
        tar cf - include | (cd $(CURDIR)/debian/su-18-kernel-headers/usr/src/su-18-kernel-headers/; \
	umask 000; tar xsf -) 

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_compress
	dh_fixperms --exclude /usr/src/su-18-kernel-headers
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## su-18-kernel 2.6.16-200625osso2

=== debian/changelog ===
su-18-kernel (2.6.16-200625osso2) unstable; urgency=low

  * week200625-2 release
  * rebuild with updated source (2.6.16.rel-osso15)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue, 20 Jun 2006 17:11:48 +0300

su-18-kernel (2.6.16-200624osso1) unstable; urgency=low

  * week200624-1 release
  * rebuild with updated source (2.6.16.rel-osso14)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue, 13 Jun 2006 18:05:54 +0300

su-18-kernel (2.6.16-200623osso2) unstable; urgency=low

  * week200623-3 release 
  * rebuild with updated source (2.6.16.rel-osso13)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue,  6 Jun 2006 16:50:59 +0300

su-18-kernel (2.6.16-200622osso2) unstable; urgency=low

  * Changed maintainer name

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Wed, 31 May 2006 19:10:23 +0300

su-18-kernel (2.6.16-200622osso1) unstable; urgency=low

  * week200622-1 release
  * rebuild with updated source (2.6.16.rel-osso12)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue, 30 May 2006 16:05:55 +0300

su-18-kernel (2.6.16-200621osso1) unstable; urgency=low

  * week200621-1 release
  * rebuild with updated source (2.6.16.rel-osso11)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue, 23 May 2006 14:41:52 +0300

su-18-kernel (2.6.16-200620osso1) unstable; urgency=low

  * week200620-1 release
  * rebuild with updated source (2.6.16.rel-osso10) 

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue, 16 May 2006 17:12:55 +0300

su-18-kernel (2.6.16-200619osso2) unstable; urgency=low

  * rebuild with updated source (2.6.16.rel-osso9) 

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Wed, 10 May 2006 19:48:10 +0300

su-18-kernel (2.6.16-200619osso1) unstable; urgency=low

  * week200619-1 release
  * rebuild with updated source (2.6.16-rel-osso8) 

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue,  9 May 2006 19:54:34 +0300

su-18-kernel (2.6.16-200618osso1) unstable; urgency=low

  * week200618-1 release
  * rebuild with updated source (2.6.16-rel-osso7)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Wed,  3 May 2006 15:37:35 +0300

su-18-kernel (2.6.16-200617osso1) unstable; urgency=low

  * week200617-1 release 
  * rebuild with updated source (2.6.16-rel-osso6)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue, 25 Apr 2006 16:16:56 +0300

su-18-kernel (2.6.16-200616osso1) unstable; urgency=low

  * week200616-1 release
  * rebuild with updated source (2.6.16-rel-osso5)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Wed, 19 Apr 2006 15:09:36 +0300

su-18-kernel (2.6.16-200615osso1) unstable; urgency=low

  * week200615-1 release
  * rebuild with updated source (2.6.16-rel-osso4)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue, 11 Apr 2006 16:03:54 +0300

su-18-kernel (2.6.16-200612osso3) unstable; urgency=low

  * week200614-1 release
  * rebuild with updated source (2.6.16-rel-osso3) 

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue,  4 Apr 2006 16:34:04 +0300

su-18-kernel (2.6.16-200612osso2) unstable; urgency=low

  * week200613-1 release
  * rebuild with updated source (2.6.16-rel-osso2) 

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue, 28 Mar 2006 16:40:42 +0300

su-18-kernel (2.6.16-200612osso1) unstable; urgency=low

  * week200612-1 release 
  * rebuild with updated source (2.6.16-rel-osso1)
  * bump version to make the same osso release as kernel source

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Wed, 22 Mar 2006 15:58:43 +0200

su-18-kernel (2.6.16-200609osso6) unstable; urgency=low

  * week200611-2 release
  * rebuild with updated source (2.6.16-rc5-osso6) 

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Thu, 16 Mar 2006 15:18:13 +0200

su-18-kernel (2.6.16-200609osso5) unstable; urgency=low

  * rebuild with updated source (2.6.16-rc5-osso5) 

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue, 14 Mar 2006 16:04:47 +0200

su-18-kernel (2.6.16-200609osso4) unstable; urgency=low

  * rebuild with updated source (2.6.16-rc5-osso4) 

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue,  7 Mar 2006 16:51:15 +0200

su-18-kernel (2.6.16-200609osso3) unstable; urgency=low

  * rebuild with updated sources 

 -- Ed Bartosh <eduard.bartosh@nokia.com>  Fri,  3 Mar 2006 15:20:51 +0200

su-18-kernel (2.6.16-200609osso2) unstable; urgency=low

  * ARM: OMAP: Fix DSP Gateway - AIC23 interaction at bootup
    DSP Gateway was trying to power up the AIC23 codec before the I2C
    subsystem was initialized.

 -- Ed Bartosh <eduard.bartosh@nokia.com>  Wed,  1 Mar 2006 20:27:25 +0200

su-18-kernel (2.6.16-200609osso1) unstable; urgency=low

  * week200609 release (see full list of changes in kernel-source package) 

 -- Ed Bartosh <eduard.bartosh@nokia.com>  Wed,  1 Mar 2006 16:52:06 +0200

su-18-kernel (2.6.16-200608osso1) unstable; urgency=low

  * week200608 release (see full list of changes in kernel-source package) 

 -- Ed Bartosh <eduard.bartosh@nokia.com>  Wed, 22 Feb 2006 19:52:29 +0200

su-18-kernel (2.6.16-200607osso1) unstable; urgency=low

  * week200607 release (see full list of changes in kernel-source package)
    First 2.6.16 build

 -- Ed Bartosh <eduard.bartosh@nokia.com>  Thu, 16 Feb 2006 15:05:30 +0200

su-18-kernel (2.6.12.3-200607osso1) unstable; urgency=low

  * week200607 release (see full list of changes in kernel-source package) 

 -- Ed Bartosh <eduard.bartosh@nokia.com>  Wed, 15 Feb 2006 15:05:13 +0200

su-18-kernel (2.6.12.3-200604osso1) unstable; urgency=low

  * week200604 release (see full list of changes in kernel-source package)

 -- Ed Bartosh <eduard.bartosh@nokia.com>  Thu, 26 Jan 2006 15:48:02 +0200

su-18-kernel (2.6.12.3-200603osso1) unstable; urgency=low

  * week200603 release (see full list of changes in kernel-source package) 

 -- Ed Bartosh <eduard.bartosh@nokia.com>  Thu, 19 Jan 2006 16:06:21 +0200

=== debian/control ===
Source: su-18-kernel
Section: utils
Priority: optional
Maintainer:  Yauheni Kaliuta <yauheni.kaliuta@nokia.com>
Build-Depends-Indep: debhelper, kernel-source-2.6.16 (=2.6.16.rel-osso15)
XBCS-Scratchbox-Architecture: uarm
Standards-Version: 3.5.9.0

Package: su-18-kernel
Architecture: all
Description: Flashable Linux kernel for SU-18 hardware
 This package provides a flashable kernel image for Nokia 770.

Package: su-18-kernel-headers
Architecture: all
Description: Linux kernel headers
 This package provides kernel headers for Nokia 770.

## su-18-kernel 2.6.16-200638osso1

=== debian/changelog ===
su-18-kernel (2.6.16-200638osso1) unstable; urgency=low

  * rebuild with updated source (2.6.16.rel-osso26)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue, 19 Sep 2006 16:22:31 +0300

su-18-kernel (2.6.16-200637osso1.1) unstable; urgency=low

  * special b3 release with 2.6.16.rel-osso25.1 

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Thu, 14 Sep 2006 19:43:24 +0300

su-18-kernel (2.6.16-200637osso1) unstable; urgency=low

  * rebuild with updated source (2.6.16.rel-osso25)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue, 12 Sep 2006 14:31:32 +0300

su-18-kernel (2.6.16-200636osso1) unstable; urgency=low

  * week200636-1 release
  * rebuild with updated source (2.6.16.rel-osso24)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue,  5 Sep 2006 17:32:11 +0300

su-18-kernel (2.6.16-200635osso1) unstable; urgency=low

  * week200635-1 release
  * rebuild with updated source (2.6.16.rel-osso23) 

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue, 29 Aug 2006 18:03:37 +0300

su-18-kernel (2.6.16-200633osso2) unstable; urgency=low

  * week200634-1 release
  * rebuild with updated source (2.6.16.rel-osso22) 

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue, 22 Aug 2006 13:25:42 +0300

su-18-kernel (2.6.16-200633osso1) unstable; urgency=low

  * week200633-1 release 
  * rebuild with updated source (2.6.16.rel-osso21)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue, 15 Aug 2006 16:17:26 +0300

su-18-kernel (2.6.16-200632osso1) unstable; urgency=low

  * week200632-1 release
  * rebuild with updated source (2.6.16.rel-osso20)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue,  8 Aug 2006 12:36:16 +0300

su-18-kernel (2.6.16-200631osso2) unstable; urgency=low

  * week200631-2 release
  * rebuild with updated source (2.6.16.rel-osso19)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Thu,  3 Aug 2006 14:12:33 +0300

su-18-kernel (2.6.16-200631osso1) unstable; urgency=low

  * week200631-1 release
  * rebuild with updated source (2.6.16.rel-osso18)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue,  1 Aug 2006 18:32:38 +0300

su-18-kernel (2.6.16-200630osso1) unstable; urgency=low

  * week200630-1 release
  * rebuild with updated source (2.6.16.rel-osso17)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Wed, 26 Jul 2006 09:45:54 +0300

su-18-kernel (2.6.16-200628osso1) unstable; urgency=low

  * week200628-1 release
  * mixed branches for debian package
  * rebuild with updated source (2.6.16.rel-osso16)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue, 11 Jul 2006 17:45:06 +0300

su-18-kernel (2.6.16-200627osso1) unstable; urgency=low

  * week200627-1 merged release
  
 -- Mathias Nyman <mathias.nyman@nokia.com>  Wed,  5 Jul 2006 13:04:49 +0300

su-18-kernel (2.6.16-200624osso1+sojuz1) unstable; urgency=low

  * week200624-1 sojuz release

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Mon, 12 Jun 2006 15:28:16 +0300

su-18-kernel (2.6.16-200623osso2+sojuz1) unstable; urgency=low

  * Sojuz release 

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Fri,  9 Jun 2006 15:29:42 +0300

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer:  Yauheni Kaliuta <yauheni.kaliuta@nokia.com>
-Build-Depends-Indep: debhelper, kernel-source-2.6.16 (=2.6.16.rel-osso15)
+Build-Depends-Indep: debhelper, kernel-source-2.6.16 (=2.6.16.rel-osso26)
 XBCS-Scratchbox-Architecture: uarm
 Standards-Version: 3.5.9.0

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.
# Copyright (C) 2004, 2005, Nokia Corporation

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEBIAN_DIR ?= debian

SOURCE_VERSION := $(shell sed -n 's/^Build-Depends-Indep: .*kernel-source-\([^ ]*\).*$$/\1/; t e; b; :e; p; q' $(DEBIAN_DIR)/control)
WEEK := $(shell date +%Y%W)

KERNELRELEASE = $(shell cat $(CURDIR)/kernel-source-$(SOURCE_VERSION)/.kernelrelease 2> /dev/null)

configure: 

# Nothing to configure in this package.

build: build-stamp

build-stamp:
	dh_testdir

	# Unpack kernel sources
	tar jxf /usr/src/kernel-source-$(SOURCE_VERSION).tar.bz2

	echo "compile su-18 kernel"
	cd $(CURDIR)/kernel-source-$(SOURCE_VERSION)/ && \
	make HOSTCC=host-gcc n770_defconfig && \
	make HOSTCC=host-gcc zImage

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	rm -rf kernel-source-$(SOURCE_VERSION)
	rm -f kernel-headers*.deb
	rm -rf $(CURDIR)/$(DEBIAN_DIR)/su-18-kernel-headers
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	install -m644 $(CURDIR)/kernel-source-$(SOURCE_VERSION)/arch/arm/boot/zImage \
                $(CURDIR)/$(DEBIAN_DIR)/tmp/usr/share/osso/kernels/zImage-su-18-$(WEEK) && \
	cd $(CURDIR)/kernel-source-$(SOURCE_VERSION); \
	install -p -o root -g root -m 644 .config  $(CURDIR)/$(DEBIAN_DIR)/su-18-kernel-headers/usr/src/su-18-kernel-headers/ && \
	install -p -o root -g root -m 644 Makefile $(CURDIR)/$(DEBIAN_DIR)/su-18-kernel-headers/usr/src/su-18-kernel-headers/ && \
        tar cf - include | (cd $(CURDIR)/$(DEBIAN_DIR)/su-18-kernel-headers/usr/src/su-18-kernel-headers/; \
	umask 000; tar xsf -) 
#	mkdir -p $(CURDIR)/$(DEBIAN_DIR)/su-18-kernel-modules/lib/modules/$(KERNELRELEASE)
#	for f in $$(find $(CURDIR)/kernel-source-$(SOURCE_VERSION) -name "*.ko"); do \
#		install -c -m 644 $$f $(CURDIR)/$(DEBIAN_DIR)/su-18-kernel-modules/lib/modules/$(KERNELRELEASE)/$$(basename $$f); \
#	done
#	ln -s $(KERNELRELEASE) $(CURDIR)/$(DEBIAN_DIR)/$(PRODUCT)-kernel-modules/lib/modules/current

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_compress
	dh_fixperms --exclude /usr/src/su-18-kernel-headers
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## su-18-kernel 2.6.16-200648osso1.1

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 
 DEBIAN_DIR := debian
 
-KSRC := ../linux-sp
+KSRC := ../linux-spp
 
 KSRCVER := $(shell dpkg-parsechangelog -l$(KSRC)/$(DEBIAN_DIR)/changelog  | awk '/^Version/{print $$2}')

=== debian/changelog ===
su-18-kernel (2.6.16-200648osso1.1) unstable; urgency=low

  * use DEBIAN_DIR=debian

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Wed, 29 Nov 2006 15:48:57 +0200

su-18-kernel (2.6.16-200648osso1) unstable; urgency=low

  * rebuild with updated source (2.6.16.rel-osso29) 

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue, 28 Nov 2006 15:37:45 +0200

su-18-kernel (2.6.16-200638osso1.2) unstable; urgency=low

  * rebuild with updated source (2.6.16.rel-osso28) 

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Thu, 26 Oct 2006 16:02:32 +0300

su-18-kernel (2.6.16-200638osso1.1) unstable; urgency=low

  * rebuild with updated source (2.6.16.rel-osso27) 

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Thu, 26 Oct 2006 15:13:03 +0300

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer:  Yauheni Kaliuta <yauheni.kaliuta@nokia.com>
-Build-Depends-Indep: debhelper, kernel-source-2.6.16 (=2.6.16.rel-osso26)
+Build-Depends-Indep: debhelper, kernel-source-2.6.16 (=2.6.16.rel-osso29)
 XBCS-Scratchbox-Architecture: uarm
 Standards-Version: 3.5.9.0

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-DEBIAN_DIR ?= debian
+DEBIAN_DIR := debian
 
 SOURCE_VERSION := $(shell sed -n 's/^Build-Depends-Indep: .*kernel-source-\([^ ]*\).*$$/\1/; t e; b; :e; p; q' $(DEBIAN_DIR)/control)
 WEEK := $(shell date +%Y%W)
